# $Revision: 1.136 $, $Date: 2008-06-10 20:09:59 $
#
# Conditional build:
%bcond_without	bytecode	# without TT bytecode interpreter (Apple patents in USA)
%bcond_without	lcd		# without LCD subpixel color filtering (Microsoft patents in USA)
%bcond_without	x11		# don't build examples (X11-based)
%bcond_without	apidocs         # disable api docs
#
Summary:	TrueType font rasterizer
Summary(es.UTF-8):	Biblioteca de render 3D de fuentes TrueType
Summary(ko.UTF-8):	자유롭게 어디든 쓸 수 있는 트루타입 글꼴을 다루는 엔진
Summary(pl.UTF-8):	Rasteryzer fontów TrueType
Summary(pt_BR.UTF-8):	Biblioteca de renderização de fontes TrueType
Summary(ru.UTF-8):	Растеризатор шрифтов TrueType
Summary(uk.UTF-8):	Растеризатор шрифтів TrueType
Name:		freetype
Version:	2.3.6
Release:	1
Epoch:		1
License:	GPL or FTL
Group:		Libraries
Source0:	http://dl.sourceforge.net/freetype/%{name}-%{version}.tar.bz2
# Source0-md5:	fb182d508017cb608e9df8c7dca648dc
Source1:	http://dl.sourceforge.net/freetype/%{name}-doc-%{version}.tar.bz2
# Source1-md5:	f39aa6954d71193d2b62fab89a28b50d
Source2:	http://dl.sourceforge.net/freetype/ft2demos-%{version}.tar.bz2
# Source2-md5:	97185008e0a7a2d4ac3045a872f31fe3
URL:		http://www.freetype.org/
BuildRequires:	automake
BuildRequires:	python
%{?with_x11:BuildRequires:	xorg-lib-libX11-devel}
BuildRequires:	zlib-devel
Obsoletes:	freetype2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	-fomit-frame-pointer 
# see <freetype/internal/ftserv.h>, the real horror
%define		specflags	-fno-strict-aliasing

%description
The FreeType engine is a free and portable TrueType font rendering
engine. It has been developed to provide TrueType support to a great
variety of platforms and environments.

Note that FreeType is a *library*. It is not a font server for your
favorite platform, even though it was designed to be used in many of
them. Note also that it is *not* a complete text-rendering library.
Its purpose is simply to open and manage font files, as well as load,
hint and render individual glyphs efficiently. You can also see it as
a "TrueType driver" for a higher-level library, though rendering text
with it is extremely easy, as demo-ed by the test programs.

%description -l es.UTF-8
FreeType es una máquina libre y portátil para en render de fuentes
TrueType. Fue desarrollada para ofrecer soporte TrueType a una gran
variedad de plataformas y ambientes. Observa que FreeType es una
biblioteca y no una aplicación, a pesar de que algunos utilitarios se
incluyan en este paquete.

%description -l pl.UTF-8
FreeType jest biblioteką służącą do rasteryzacji fontów TrueType. Jest
to jedynie biblioteka, a nie serwer fontów, chociaż została ona
zaprojektowana do używania także w takich serwerach. Nie jest to też
kompletna biblioteka do rasteryzacji tekstu. Jej celem jest tylko
odczytywanie i zarządzanie plikami z fontami oraz wczytywanie i
wykonywanie hintingu i rasteryzacji poszczególnych glifów. Może być
także uważana za "sterownik TrueType" dla bibliotek wyższego poziomu,
jednak użycie samej biblioteki FreeType do rasteryzacji jest bardzo
proste, co można zobaczyć w programach demonstracyjnych.

%description -l pt_BR.UTF-8
FreeType é uma máquina livre e portável para renderização de fontes
TrueType. Ela foi desenvolvida para fornecer suporte TrueType a uma
grande variedade de plataformas e ambientes. Note que FreeType é uma
biblioteca e não uma aplicação, apesar que alguns utilitários são
incluídos neste pacote.

%description -l ru.UTF-8
Библиотека FreeType - это свободная переносимая библиотека для
рендеринга (растеризации) шрифтов TrueType, доступная в исходных
текстах на ANSI C и Pascal. Она была разработана для поддержки TT на
разнообразных платформах.

%description -l uk.UTF-8
Бібліотека FreeType - це вільна переносима бібліотека для рендерингу
(растеризації) шрифтів TrueType, що розповсюджується у вихідних
текстах на C та Pascal. Вона була розроблена для підтримки TT на
різних платформах.

%package devel
Summary:	Header files for FreeType development
Summary(es.UTF-8):	Archivos de inclusión para desarrollo con FreeType
Summary(ko.UTF-8):	FreeType을 쓸 때 필요한 정적 라이브러리와 머리말 파일
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FreeType
Summary(pt_BR.UTF-8):	Arquivos de inclusão para desenvolvimento com FreeType
Summary(ru.UTF-8):	Библиотеки разработчика для freetype
Summary(uk.UTF-8):	Бібліотеки програміста для freetype
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	zlib-devel
Obsoletes:	freetype2-devel

%description devel
This package includes the header files necessary to develop
applications that use FreeType.

%description devel -l es.UTF-8
Este paquete es necesario, si pretendes desarrollar/compilar
aplicaciones con la biblioteca FreeType. Si, simplemente, deseas
ejecutar aplicaciones existentes, no lo necesitas.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe potrzebne przy tworzeniu programów
wykorzystujących bibliotekę FreeType.

%description devel -l pt_BR.UTF-8
Este pacote é necessário se você pretende desenvolver/compilar
aplicações com a biblioteca FreeType. Se você simplesmente deseja
rodar aplicações existentes, você não precisa deste pacote.

%description devel -l ru.UTF-8
Этот пакет содержит хедеры необходимые для разработки программ,
использующих FreeType.

%description devel -l uk.UTF-8
Цей пакет містить хедери необхідні для розробки програм, що
використовують FreeType.

%package apidocs
Summary:	FreeType API documetation
Summary(pl.UTF-8):	Dokumentacja API FreeType
Group:		Documentation

%description apidocs
FreeType API documetation.

%description apidocs -l pl.UTF-8
Dokumentacja API FreeType.

%package static
Summary:	FreeType static libraries
Summary(es.UTF-8):	Static libraries for freetype development
Summary(pl.UTF-8):	Biblioteki statyczne FreeType
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com freetype
Summary(ru.UTF-8):	Статические библиотеки freetype
Summary(uk.UTF-8):	Статичні бібліотеки freetype
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	freetype2-static

%description static
Static FreeType libraries.

%description static -l es.UTF-8
Static libraries for freetype development.

%description static -l pl.UTF-8
Biblioteki statyczne FreeType.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com freetype.

%description static -l ru.UTF-8
Этот пакет содержит статические библиотеки, необходимые для написания
программ, использующих freetype.

%description static -l uk.UTF-8
Цей пакет містить статичні бібліотеки, необхідні для написання
програм, що використовують freetype.

%package demos
Summary:	FreeType demo programs
Summary(ko.UTF-8):	FreeType을 시험해볼 수 있는 프로그램 모음
Summary(pl.UTF-8):	Programy demonstracyjne FreeType
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description demos
Demonstration programs for FreeType library.

%description demos -l pl.UTF-8
Programy demonstracyjne do biblioteki FreeType.

%prep
%setup -q -a1 -a2

%build
CFLAGS="%{rpmcflags} \
%{?with_bytecode:-DTT_CONFIG_OPTION_BYTECODE_INTERPRETER} \
%{?with_lcd:-DFT_CONFIG_OPTION_SUBPIXEL_RENDERING}" \
%{__make} setup unix \
	CFG="--prefix=%{_prefix} --libdir=%{_libdir}"

%{__make} \
	X11_LIB=

%if %{with x11}
%{__make} -C ft2demos-* \
	TOP_DIR="`pwd`" \
	X11_LIB=
%endif

%{__make} refdoc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with x11}
install ft2demos-*/bin/.libs/ft* $RPM_BUILD_ROOT%{_bindir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc docs/{CHANGES,FTL.TXT,LICENSE.TXT,PATENTS,TODO,formats.txt,raster.txt}
%attr(755,root,root) %{_libdir}/libfreetype.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfreetype.so.6

%files devel
%defattr(644,root,root,755)
%doc docs/DEBUG
%attr(755,root,root) %{_bindir}/freetype-config
%attr(755,root,root) %{_libdir}/libfreetype.so
%{_libdir}/libfreetype.la
%{_includedir}/freetype2
%{_includedir}/ft2build.h
%{_aclocaldir}/freetype2.m4
%{_pkgconfigdir}/freetype2.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc docs/reference
%endif

%files static
%defattr(644,root,root,755)
%{_libdir}/libfreetype.a

%if %{with x11}
%files demos
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ft*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: freetype.spec,v $
Revision 1.136  2008-06-10 20:09:59  qboosh
- updated to 2.3.6 (fixes some potential security problems)

Revision 1.135  2008-04-16 04:42:07  qboosh
- updated pl (and partially es/pt_BR/ru/uk)

Revision 1.134  2008-04-15 23:59:08  glen
- separate apidocs

Revision 1.133  2008-02-16 18:31:11  qboosh
- more precise bconds/patents info; lcd bcond disables whole LCD subpixel filtering
  in freetype, including legacy mode

Revision 1.132  2007/07/06 18:10:46  qboosh
- updated to 2.3.5 (fixes CVE-2007-2754)

Revision 1.131  2007/04/27 06:36:42  qboosh
- one more CVE reference for 2.2.1

Revision 1.130  2007/04/26 22:32:55  qboosh
- CVE references for 2.2.1

Revision 1.129  2007/04/18 07:21:44  qboosh
- updated to 2.3.4
[fixes CVE-2007-3506]

Revision 1.128  2007/04/05 17:32:41  qboosh
- updated to 2.3.3 (fixes CVE-2007-1351)
- removed obsolete cvs patch

Revision 1.127  2007/03/25 23:01:02  arekm
- rel 2; some regressions fixes from upstream

Revision 1.126  2007/03/15 09:13:46  arekm
- up to 2.3.2

Revision 1.125  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.124  2007/02/12 00:48:50  baggins
- converted to UTF-8

Revision 1.123  2007/02/05 18:24:13  qboosh
- updated to 2.3.1 (bugfixes)

Revision 1.122  2007/01/29 16:15:50  qrczak
- 2.3.0
- This version includes optional filters reducing color fringes when
  subpixel rendering for LCD, activated only with a new API. They have
  patents pending at least in the US. The vanilla freetype disables them
  by default, but they are enabled here unless '--without lcd' is used.
  http://www.mail-archive.com/freetype@nongnu.org/msg00972.html

Revision 1.121  2006/11/21 15:06:04  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.120  2006/05/21 21:00:02  qboosh
- updated to 2.2.1 (fixes some integer overflows)
[fixes CVE-2006-0747, CVE-2006-1861 aka CVE-2006-2493, CVE-2006-2661, CVE-2006-3467]

- NOTE: internal APIs no longer exported, some apps need fix
- killed X11R6 paths

Revision 1.119  2006/04/03 17:47:32  arekm
- rel 2; th br

Revision 1.118  2005/07/12 06:44:07  arekm
- up to 2.1.10

Revision 1.117  2005/04/04 11:47:32  arekm
- setting cc breaks things (and no time to investigate now; revert)

Revision 1.116  2005/04/02 09:31:49  arekm
- use correct cc

Revision 1.115  2004/10/14 09:51:39  qboosh
- x11 bcond desc

Revision 1.114  2004/10/07 15:35:41  undefine
- BR: SysVinit not needed anymore.

Revision 1.113  2004/06/25 19:49:36  qboosh
- updated to 2.1.9, added link patch

Revision 1.112  2004/06/20 21:36:40  arekm
- fix specflags (quotation here is buggy)

Revision 1.111  2004/06/16 20:28:35  qboosh
- epoch 1, release 3 (for post-Ac)

Revision 1.110  2004/05/09 21:23:31  qboosh
- broken code, use -fno-strict-aliasing; release 2

Revision 1.109  2004/04/22 22:23:05  qboosh
- updated to 2.1.8 (with ftdocs-2.1.7)

Revision 1.108  2004/04/20 17:48:54  djurban
- reverted averne's commit, STBR

Revision 1.107  2004/04/20 11:53:00  averne
- rel 4 for Ac

Revision 1.106  2004/04/20 11:52:30  averne
- fuck patents

Revision 1.105  2004/03/03 23:35:07  jpc
- reverted :/

Revision 1.103  2004/02/29 13:56:58  pluto
- strict deps.

Revision 1.102  2004/02/09 13:34:25  pluto
- fixed bcond: spaces -> tab.

Revision 1.101  2004/02/05 11:11:20  jajcus
- Release: 3
- pass X11_LIB to make (fixes build on AMD64)

Revision 1.100  2003/12/21 21:03:36  djurban
- reverted bogus change

Revision 1.98  2003/12/19 23:26:24  djurban
- back to normal non bytecode font interpreter, this bytecode sucks and is ugly.

Revision 1.97  2003/12/19 00:50:33  arekm
- reverted and redone in different way (because it broke other archs)

Revision 1.96  2003/12/18 22:57:37  arekm
- added without x11 bcond; fixed configuration and installation on amd64; rel 2

Revision 1.95  2003/12/18 00:19:59  qboosh
- fixed bcond style update; bytecode interpreter is on by default again

Revision 1.94  2003/12/18 00:14:15  qboosh
- updated to 2.1.7, removed obsolete free patch
- ABI compatible, but some packages could require API patches (mostly in include lists)

Revision 1.93  2003/11/11 02:31:00  qboosh
- BR: automake (only for _aclocaldir macro expansion)

Revision 1.92  2003/10/18 23:10:52  qboosh
- added free patch: don't try to free ints - it caused SEGV on ghostscript-fonts-other
- release 2

Revision 1.91  2003/09/30 17:50:42  grzegol
- updated to 2.1.5
- removed outdated ftlru.c.diff patch (already in sources)

Revision 1.90  2003/09/05 11:46:57  qboosh
- unified Source URL

Revision 1.89  2003/08/25 23:27:21  mmazur
- rel 3 for ac

Revision 1.88  2003/07/26 07:18:11  pascalek
- do not use subshell

Revision 1.87  2003/07/26 05:43:10  aredridel
- add patch for cache bug (affects GNUStep)
- increment release to 2

Revision 1.86  2003/07/21 19:44:15  mmazur
- fixed building on ppc :)

Revision 1.85  2003/07/08 18:26:39  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.84  2003/06/28 19:36:24  gotar
- -fomit-frame-pointer on ia32

Revision 1.83  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.82  2003/05/25 05:47:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.81  2003/05/14 11:59:36  kloczek
- merge translations from MIZI.

Revision 1.80  2003/04/26 23:21:40  qboosh
- BR: zlib-devel, -devel R: zlib-devel

Revision 1.79  2003/04/16 13:58:36  aflinta
- updated to version 2.1.4

Revision 1.78  2003/03/14 22:42:44  qboosh
- keep last available docs and demos

Revision 1.77  2003/03/05 21:30:07  adgor
- Release 0.%{_status}.1

Revision 1.76  2003/03/05 20:32:44  djurban
- updated to 2.1.4rc1 (big bugfixes for kde)

Revision 1.75  2003/01/22 13:23:55  trojan
- updated source URLs

Revision 1.74  2002/12/17 22:21:58  qboosh
- bytecode patch is obsolete, use CFLAGS to pass this option

Revision 1.73  2002/12/17 16:37:04  wrobell
- removed unused patches

Revision 1.72  2002/12/07 23:45:42  djurban
- Rel 1
- STBR
- Works ok, changed the default behaviour (default hinting works better
  than bytecode)
- Didnt port the feature patches as I have no reasons to believe they are going to
  do sth. in here.

Revision 1.71  2002/12/02 11:06:17  ankry
- massive cleaning

Revision 1.70  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.69  2002/11/19 14:34:00  qboosh
- new %%doc

Revision 1.68  2002/11/18 12:11:37  wrobell
- removed outdated patches and bytecode patch is back

Revision 1.67  2002/11/18 11:45:34  wrobell
- rel. 0.1

Revision 1.66  2002/11/18 11:13:37  wrobell
- ver. 2.1.3 (nfy)

Revision 1.65  2002/10/23 08:31:09  misiek
- added bunch of fixes (rel 2)

Revision 1.64  2002/06/30 18:45:06  qboosh
- added missing freetype2.m4 to package (with workaround for missing define)

Revision 1.63  2002/06/29 17:09:27  misiek
- updated to 2.1.2

Revision 1.62  2002/06/17 17:28:45  kloczek
- correction in merged translations.

Revision 1.61  2002/06/17 17:07:03  kloczek
- merge translations from Conectiva and KSI.

Revision 1.60  2002/06/17 15:44:59  jojoro
- updated to 2.1.1

Revision 1.59  2002/04/25 16:19:48  arturs
fixed a small typo

Revision 1.58  2002/04/06 17:54:10  qboosh
- updated to 2.0.9 (mainly bugfixes), removed obsolete gsf-segv patch
- added demos

Revision 1.57  2002/03/31 13:40:52  agaran
added SysVinit to buildreq (it guess unix if /sbin/init /sbin/halt exist)
else builds as ansi..and fails..(if you think noone can live without sysVinit
think about chrooted builder)

Revision 1.56  2002/02/23 02:06:15  kloczek
- adapterized.

Revision 1.55  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/01/18 02:12:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.53  2002/01/16 13:48:11  kloczek
- release 2.

Revision 1.52  2002/01/14 10:45:51  qboosh
- fixed bytecode bcond name - back to _without_ (false alarm, nothing changed)

Revision 1.51  2002/01/13 23:47:53  kloczek
- updated to 2.0.6 (mostly bugfix release nad few enhanctments in cache and
  hinting code),
- reverse bytecode patch logicg because TT_CONFIG_OPTION_BYTECODE_INTERPRETER
  is non by default #undef.

Revision 1.50  2001/10/23 22:13:34  qboosh
- updated to 2.0.5
- bytecode patch to turn on TT bytecode iterpreter
  (default on, bcond to turn off - patents pending in USA and Japan)

Revision 1.49  2001/06/30 13:10:45  qboosh
- updated to 2.0.4, removed obsolete include-nowarn patch
- added patch to fix SEGV on .gsf fonts

Revision 1.48  2001/03/27 17:28:24  qboosh
- added missing include <ft2build.h>, fixed build prefix
- use %%{rpmcflags} macro - spec is %%{debug} ready now
- include-nowarn patch to remove preprocessor warnings - it confused autoconf
- release 2

Revision 1.47  2001/03/19 12:11:10  kloczek
- added Obsoletes for freetype2.

Revision 1.46  2001/03/19 12:06:25  kloczek
- more fixes in Source abd Patch fields.

Revision 1.45  2001/03/19 12:00:12  kloczek
- also fixed Source url.

Revision 1.44  2001/03/19 11:57:12  kloczek
- realy rename.

Revision 1.43  2001/03/19 11:53:43  kloczek
- rename freetype2 -> freetype and freetype -> freetype1.

Revision 1.2  2001/03/18 22:56:32  michuz
- updated to 2.0.2-test

Revision 1.1  2000/11/19 02:37:04  michuz
- initial release (I create new package because this might be binary
  incompatibile with old versions)
